# Techviz

This guide shows you how to integrate your VIOSO projection calibration into Techviz.

### 1. In VIOSO <a href="#id-2094856352-ef2so7" id="id-2094856352-ef2so7"></a>

Techviz processes VIOSO’s native export format **(.vwf)**. You can export the calibration in this format from in VIOSO from free mode or project mode

| [**Free mode**](/start/free-mode.md)                                                                                                                                                                                                                                                                                                                                                                                                           | [**Project mode**](/start/project-mode.md)                                                                                                                                                                              |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <ol><li><p>Calibrate the projectors in either in:</p><ol><li><a href="/pages/xkBAodu4T6zCoLp4KnY6">2D</a> (for static warping & single viewport), or</li><li><a href="/pages/40nb1Tdr1gyKDQhOJqmF">3D</a> (model based for dynamic warping & multi-viewports)</li></ol></li><li>From the menu bar, go to <strong>File > Export Mapping</strong></li><li>Choose the format <strong>(.vwf)</strong> and tick the 3D box if applicable.</li></ol> | <ul><li>You can either create a project with the “Generic” template and configure the export and mapping type (2D/3D) in the designer</li><li>OR pick a template that has 3D vwf exports like “Unity”</li></ul><p> </p> |

### 2. In Techviz <a href="#id-64949702-wgt3e6" id="id-64949702-wgt3e6"></a>

To enable VIOSO warping, you must first create a [VIOSO.ini](broken://pages/z7Wvgl5h0bKFU0e1G0ky) file. Use the following template:

<pre class="language-ini" data-title="VIOSO.ini"><code class="lang-ini"><strong>[default]
</strong>
;; Specify the full path to your VWF file

calibFile=C:\file.vwf
;; Specify the base matrix, that may vary depending on your display setup

base=[1000,0,0,0; 0,1000,0,0; 0,0,1000,0; 0,0,0,1]



;; Specify the channel indices, for as many channels as the VWF file contains

[A_left_eye]

calibIndex=0

[A_right_eye]

calibIndex=0

[B_left_eye]

calibIndex=1

[B_right_eye]

calibIndex=1

[C_left_eye]

calibIndex=2

[C_right_eye]

calibIndex=2



;; If you want debug logs:

; logLevel=3

; logFile=C:\file.log

</code></pre>

You must then enable VIOSO warping in your Techviz configuration file. This is done by adding the following parameters:

```
## Enable VIOSO warping warping\vioso=1 

## Specify the full path to the VIOSO .ini file we just created warping\vioso\ini=C:\file.ini 

## Specify the channel name prefixes, for as many channels as the VWF file contains screen 0\warping\vioso\channel=A screen 1\warping\vioso\channel=B screen 2\warping\vioso\channel=C 

## To set the HUD position automatically to the position of the screen corresponding to the given channel name # warping\vioso\hud=B 

## For debug: 0 to disable, 1 to enable and skip warping, 2 to enable and perform warping 

## This will display the positions of the VIOSO origin (in red), TechViz origin (in blue), and overriding actuals (in green) 

# warping\vioso\debug=1 The warping will now be applied when you launch TechViz.
```

All of these parameters can be modified interactively, including the .ini file: simply click the “Read configuration file” button in Otrack to apply your changes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vioso.com/integration/real-time-engines/techviz.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
